
D4Science Infrastructure - Task #4379

Update Tomcat7 servers (server.xml) to add cluster configuration

Jun 23, 2016 12:18 PM - Massimiliano Assante

Status: Closed Start date: Jun 23, 2016

Priority: High Due date: Jul 08, 2016

Assignee: Andrea Dell'Amico % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.0.0

  

Infrastructure: Pre-Production, Production   

Description

based on the attached file (host names/ip to replace obviously)

Related issues:

Related to D4Science Infrastructure - Upgrade #4328:  Preprod Gateway upgrade... Completed Jun 22, 2016 Jul 06, 2016

History

#1 - Jun 23, 2016 12:19 PM - Massimiliano Assante

- Related to Upgrade #4328:  Preprod Gateway upgrade to gCube 4.0 added

#2 - Jun 24, 2016 03:06 PM - Massimiliano Assante

- Tracker changed from Upgrade to Task

#3 - Jul 11, 2016 12:22 PM - Massimiliano Assante

- Status changed from New to In Progress

#4 - Jul 11, 2016 12:23 PM - Massimiliano Assante

- Status changed from In Progress to Paused

this activity cannot be performed as the HTTP Session cannot be transparently brought on the other instance (due to the fact that we applying the

required change on the ASL Session didn't work properly)

#5 - Aug 31, 2016 10:27 AM - Massimiliano Assante

- Parent task deleted (#4327)

#6 - Sep 12, 2016 03:15 PM - Massimiliano Assante

- Status changed from Paused to In Progress

- Assignee changed from Massimiliano Assante to Andrea Dell'Amico

I did add the tomcat and Liferay cluster configurations on preprod1 and preprod2. However some firewall is blocking the Liferay communication

between the 2 nodes (146.48.122.240 and 146.48.122.143)

13:14:19,271 DEBUG [Multicast keep-alive Heartbeat Receiver thread-2][MulticastRMICacheManagerPeerProvider:39]

 Unable to lookup remote cache peer for //146.48.122.240:60176/com.liferay.portlet.dynamicdatamapping.model.im

pl.DDMTemplateImpl. Removing from peer list. Cause was: Exception creating connection to: 146.48.122.240; nest

ed exception is: _    java.net.NoRouteToHostException: No route to host [Sanitized]

.orm.FinderCache.com.liferay.sync.model.impl.SyncDLObjectImpl. Removing from peer list. Cause was: Exception c

reating connection to: 146.48.122.143; nested exception is: _ java.net.NoRouteToHostException: No route to hos

t [Sanitized]

13:14:57,740 DEBUG [Multicast keep-alive Heartbeat Receiver thread-1][MulticastKeepaliveHeartbeatReceiver:48] 

Aborting processing of rmiUrls since failed to add rmiUrl: //146.48.122.143:59670/com.liferay.portlet.announce

ments.model.impl.AnnouncementsFlagImpl

13:14:57,740 DEBUG [Multicast keep-alive Heartbeat Receiver thread-3][RMICacheManagerPeerProvider:48] Lookup U

RL //146.48.122.143:59214/com.liferay.portal.kernel.template.TemplateResourceLoader.ftl

13:14:57,740 DEBUG [Multicast keep-alive Heartbeat Receiver thread-2][MulticastRMICacheManagerPeerProvider:39]

 Unable to lookup remote cache peer for //146.48.122.143:59670/com.liferay.portlet.dynamicdatamapping.model.im
pl.DDMTemplateImpl. Removing from peer list. Cause was: Exception creating connection to: 146.48.122.143; nest

ed exception is: _    java.net.NoRouteToHostException: No route to host [Sanitized]

13:14:57,740 DEBUG [Multicast keep-alive Heartbeat Receiver thread-4][MulticastKeepaliveHeartbeatReceiver:48] 

Aborting processing of rmiUrls since failed to add rmiUrl: //146.48.122.143:59214/com.liferay.portal.kernel.da

o.orm.FinderCache.com.liferay.sync.model.impl.SyncDLObjectImpl

13:14:57,740 DEBUG [Multicast keep-alive Heartbeat Receiver thread-2][MulticastKeepaliveHeartbeatReceiver:48] 

Aborting processing of rmiUrls since failed to add rmiUrl: //146.48.122.143:59670/com.liferay.portlet.dynamicd

atamapping.model.impl.DDMTemplateImpl

13:14:57,740 DEBUG [Multicast keep-alive Heartbeat Receiver thread-3][MulticastRMICacheManagerPeerProvider:39]

 Unable to lookup remote cache peer for //146.48.122.143:59214/com.liferay.portal.kernel.template.TemplateReso

urceLoader.ftl. Removing from peer list. Cause was: Exception creating connection to: 146.48.122.143; nested e

xception is: _    java.net.NoRouteToHostException: No route to host [Sanitized]

13:14:57,741 DEBUG [Multicast keep-alive Heartbeat Receiver thread-3][MulticastKeepaliveHeartbeatReceiver:48] 

Aborting processing of rmiUrls since failed to add rmiUrl: //146.48.122.143:59214/com.liferay.portal.kernel.te

mplate.TemplateResourceLoader.ftl

#7 - Sep 12, 2016 03:16 PM - Massimiliano Assante

- Priority changed from Normal to High

#8 - Sep 12, 2016 04:37 PM - Andrea Dell'Amico

- % Done changed from 0 to 90

- Infrastructure Pre-Production added

The nodes need to communicate via RMI too. Now that traffic is permitted. I changed the firewall rules both on preproduction and production.

#9 - Sep 12, 2016 04:48 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

thanks, now the 2 preprod nodes can communicate correctly.

Files

cluster-server.xml 1.97 KB Jun 23, 2016 Massimiliano Assante
